# Uses of Class
java.nio.channels.ServerSocketChannel

Packages that use ServerSocketChannel
Package
Description
java.net
Provides the classes for implementing networking applications.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of ServerSocketChannel in java.net

Methods in java.net that return ServerSocketChannel
Modifier and Type
Method
Description
`ServerSocketChannel`
ServerSocket.`getChannel()`
Returns the unique `ServerSocketChannel` object associated with this socket, if any.

## Uses of ServerSocketChannel in java.nio.channels

Methods in java.nio.channels that return ServerSocketChannel
Modifier and Type
Method
Description
`final ServerSocketChannel`
ServerSocketChannel.`bind(SocketAddress local)`
Binds the channel's socket to a local address and configures the socket to listen for connections.
`abstract ServerSocketChannel`
ServerSocketChannel.`bind(SocketAddress local, int backlog)`
Binds the channel's socket to a local address and configures the socket to listen for connections.
`static ServerSocketChannel`
ServerSocketChannel.`open()`
Opens a server-socket channel for an Internet protocol socket.
`static ServerSocketChannel`
ServerSocketChannel.`open(ProtocolFamily family)`
Opens a server-socket channel.
`abstract <T> ServerSocketChannel`
ServerSocketChannel.`setOption(SocketOption<T> name, T value)`

## Uses of ServerSocketChannel in java.nio.channels.spi

Methods in java.nio.channels.spi that return ServerSocketChannel
Modifier and Type
Method
Description
`abstract ServerSocketChannel`
SelectorProvider.`openServerSocketChannel()`
Opens a server-socket channel.
`ServerSocketChannel`
SelectorProvider.`openServerSocketChannel(ProtocolFamily family)`
Opens a server-socket channel.